libglom-1.30: GlomBakery::ViewBase Class Reference

libglom-1.30 1.30.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GlomBakery::ViewBase Class Reference

This is a base class for View. More...

Inheritance diagram for GlomBakery::ViewBase:
[legend]
Collaboration diagram for GlomBakery::ViewBase:
[legend]

## Public Member Functions
| ViewBase ()
virtual | ~ViewBase ()
virtual void | load_from_document ()
virtual void | save_to_document ()
virtual void | clipboard_copy ()
virtual void | clipboard_paste ()
virtual void | clipboard_clear ()
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

This is a base class for View.

This allows the App to call load_from_document() and save_to_document(), without knowing exactly what type of document the view uses.

## Constructor & Destructor Documentation

GlomBakery::ViewBase::ViewBase | ( |  | ) |

virtual GlomBakery::ViewBase::~ViewBase | ( |  | ) |
| virtual

## Member Function Documentation

virtual void GlomBakery::ViewBase::clipboard_clear | ( |  | ) |
| virtual

virtual void GlomBakery::ViewBase::clipboard_copy | ( |  | ) |
| virtual

virtual void GlomBakery::ViewBase::clipboard_paste | ( |  | ) |
| virtual

virtual void GlomBakery::ViewBase::load_from_document | ( |  | ) |
| virtual

Reimplemented in GlomBakery::View_Composite< T_Document >.

virtual void GlomBakery::ViewBase::save_to_document | ( |  | ) |
| virtual

Reimplemented in GlomBakery::View_Composite< T_Document >.

The documentation for this class was generated from the following file:

- libglom/document/bakery/view/viewbase.h